# $Id: libsqlora8.spec,v 1.6 2003/08/25 10:29:47 dude Exp $

#define pre pre9

Summary: Simple C-library to access Oracle databases via the OCI interface.
Name: libsqlora8
Version: 2.2.11
Release: %{?pre:0.%{pre}.}3.fr
Group: System Environment/Libraries
License: GPL
URL: http://www.poitschke.de/libsqlora8/
Source: http://www.poitschke.de/libsqlora8/libsqlora8-%{version}%{?pre}.tar.gz
Buildroot: %{_tmppath}/%{name}-root
Requires: oracle-skel
BuildRequires: oracle-skel, doxygen

%description
This is a simple C-library to access Oracle databases via the OCI interface.
Makes simple programming tasks much easier than with plain OCI.


%package devel
Summary: Development files for libsqlora8.
Group: Development/Libraries
Requires: %{name} = %{version}-%{release}

%description devel
This is a simple C-library to access Oracle databases via the OCI interface.
Makes simple programming tasks much easier than with plain OCI.

This package contains the header files, the static library and the development
documentation.


%prep
%setup -q -n %{name}-%{version}%{?pre}

%build
export LD_LIBRARY_PATH=$LD_LIBRARY_PATH:$ORACLE_HOME/lib
%configure \
    --program-prefix=%{?_program_prefix} \
    --with-threads=posix
make

%install
rm -rf %{buildroot}
%makeinstall
# Get docs back into place
mv %{buildroot}%{_docdir}/packages/libsqlora8 docs-done
# Hack to get an include file back into place
mv %{buildroot}%{_libdir}/libsqlora8/include/*.h \
	%{buildroot}%{_includedir}/ && \
rmdir %{buildroot}%{_libdir}/libsqlora8/include && \
rmdir %{buildroot}%{_libdir}/libsqlora8

%clean
rm -rf %{buildroot}

%post -p /sbin/ldconfig

%postun -p /sbin/ldconfig

%files
%defattr(-, root, root)
%doc COPYING ChangeLog NEWS*
%{_libdir}/*.so.*

%files devel
%defattr(-, root, root)
%doc docs-done/*
%{_bindir}/*
%{_includedir}/*.h
%{_libdir}/*.a
%exclude %{_libdir}/*.la
%{_libdir}/*.so
%{_libdir}/pkgconfig/*.pc
%{_datadir}/aclocal/*.m4

%changelog
* Tue Mar 16 2004 Matthias Saou <http://freshrpms.net/> 2.2.11-3.fr
- Added --with-threads=posix configure option.

* Mon Sep 17 2003 Matthias Saou <http://freshrpms.net/>
- Revert to 2.2.11.

* Mon Aug 25 2003 Matthias Saou <http://freshrpms.net/>
- Update to 2.3.0pre9.
- Split a devel package.

* Thu Jul 25 2002 Matthias Saou <http://freshrpms.net/>
- Upgraded to 2.2.8.

* Thu Jul 25 2002 Matthias Saou <http://freshrpms.net/>
- Upgraded to 2.2.7.
- Added program-prefix to correct build problems.

* Wed Dec  5 2001 Matthias Saou <http://freshrpms.net/>
- Upgraded to 2.1.13.
- Bumped Epoch since it was 1 in previous releases.
- Changed the release tag to include the Oracle version used.

* Thu Oct  4 2001 Matthias Saou <http://freshrpms.net/>
- Upgraded to 2.1.12.

* Mon Jan 29 2001 Matthias Saou <http://freshrpms.net/>
- Upgraded to 2.1.7

* Thu Dec 14 2000 Matthias Saou <http://freshrpms.net/>
- Upgraded to 2.1.6

* Wed Nov 29 2000 Matthias Saou <http://freshrpms.net/>
- Initial RPM release

